Kerbal Space Program - Bug #5918

SAS point at/away from target grayed at zero closing speed
11/10/2015 11:13 PM - Comwarrior69

Status: Not a Bug Start date: 11/10/2015
Severity: Normal % Done: 0%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.5 Language: English (US)
Platform: Windows Mod Related: No
Expansion:

Description

KSP 105 no mods

Reproducible

No errors in log.
SAS point at/away from target grayed at zero closing speed.

screenshot9.png
When moving towards or away from the target after this, the sas point prograde/retrograde buttons in target mode remain greyed out.

screenshot10.png

Related issues:

Related to Kerbal Space Program - Bug #5925: Bug #5918 wrongly classed as "no... Moot 11/11/2015
Related to Kerbal Space Program - Bug #5022: Target node deselects when stati... Not a Bug 05/20/2015
History

#1 - 11/11/2015 03:17 AM - RexKramer
- Status changed from New to Not a Bug

- % Done changed from 0 to 100

This is intended. When in target mode, the pro/retro modes of SAS are intentionally disabled when relative velocity is less than 0.2m/s. This was
intentionally implemented due to player requests. If SAS were to remain active in target pro/retro modes, then the ship ends up trying to change
orientation as the relative velocity crosses 0.0m/s.

#2 -11/11/2015 10:40 PM - orcaman98

He meant to say target/anti-target, which has nothing to do with speed, and only with relative position, which shouldn't cause erratic behavior unless
targets pass through each other. | understand what you're saying, Rex. The bottom picture is correct and reasonable behavior. Note the greyed out
prograde/retrograde buttons. (Although | notice the speed is 0.3m/s, not at or under 0.2) There's no reason for the target/anti-target buttons to be
greyed out like in the top picture, though.

#3 - 11/12/2015 09:04 AM - Squelch
- Related to Bug #5925: Bug #5918 wrongly classed as "not a bug" because the tester can not read added

#4 - 11/12/2015 09:06 AM - Squelch
- Related to Bug #5022: Target node deselects when stationary or close to 0.0m/s added

#6 - 11/12/2015 09:18 AM - Squelch

The resetting of the SAS to Stability assist only at or around 0m/s was an introduced and intended feature to prevent wild automated control inputs for
all modes. The feature is working as designed as mentioned in the related issues. However, if it causes undesirable, or unwanted effects, please raise
a well reasoned and comprehensive feedback item so that can be appraised, and forwarded to the developers.

Spamming the tracker with duplicate issues, or in a confrontational manner does not help here. | refer you to the overview and the Bug reporting
guide where the expected level of communication is outlined. Please frame your reports accordingly.
http://bugs.kerbalspaceprogram.com/projects/ksp
https://bugs.kerbalspaceprogram.com/projects/ksp/wiki/Guide

#7 - 11/12/2015 09:26 AM - achurch

| agree this particular report is not well written and the follow-on (#5925) could have been put more politely, but with all due respect, you don't
encourage users to cooperate with you when you ignore their comments pointing out that you've mishandled the issue (see my comment 6 in bug
#5022).

#8 - 11/14/2015 11:04 AM - Squelch

With equal respect, the behaviour is according to design, so it is hard to justify this report as a bug.

It can be conceded that the behaviour is not necessarily helpful in this instance, and a modification to it may make docking and rendezvous that much
easier, but that could also be seen as subjective, and may have impact on other scenarios where the converse would be as equally unhelpful.

We can only deal with factual and comprehensive reports here, not out of personal preference, but due to time constraints from the volunteer testers,
and ultimately the developers perspectives. Clear cut repeatable bugs, reported completely and concisely, are the easiest to deal with of course.
Subjective, gameplay issues can be complex, and need even more information and explanation. The better a case is presented, the easier it is to
push forward. Suggestions for improvements in a balanced manner - weighing the benefits against the repercussions - are most welcome. Code
changes need careful consideration for the time to implement and the impact or collateral damage that may occur.

| have hinted already that this may be better framed as feedback, and this is now a strong suggestion bearing in mind the further hints above. This
issue has not been ignored deliberately, it simply has not fallen into scope during recent changes, so it would have been hard to push for what might
seem an arbitrary change that would have taken time away from the other planned works. A concise and rationalised case for change can be dealt
with and planned for more efficiently.
